unit TreeEditMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, StdCtrls,
  ExtCtrls;

type

  { TTreeForm }

  TTreeForm = class(TForm)
    Edit: TEdit;
    Button: TButton;
    TreeTimer: TTimer;
    TreeView: TTreeView;
    procedure ButtonClick(Sender: TObject);
    procedure TreeTimerTimer(Sender: TObject);
    procedure TreeViewClick(Sender: TObject);
    procedure TreeViewDblClick(Sender: TObject);
    procedure TreeViewExit(Sender: TObject);
  private
    FSelectedNode: TTreeNode;
  public
  end;

var
  TreeForm: TTreeForm;

implementation

{$R *.lfm}

{ TTreeForm }

procedure TTreeForm.TreeTimerTimer(Sender: TObject);
begin
  if Assigned(TreeView.Selected) then
    TreeView.Selected.EditText;
  TreeTimer.Enabled := False;
end;

procedure TTreeForm.TreeViewClick(Sender: TObject);
begin
  if Assigned(TreeView.Selected)
  and (FSelectedNode = TreeView.Selected) then
    TreeTimer.Enabled := True
  else
    TreeTimer.Enabled := False;
  FSelectedNode := TreeView.Selected;
end;

procedure TTreeForm.TreeViewDblClick(Sender: TObject);
begin
  TreeTimer.Enabled := False;
  ShowMessage('Datei laden...');
end;

procedure TTreeForm.TreeViewExit(Sender: TObject);
begin
  FSelectedNode := nil;
end;

procedure TTreeForm.ButtonClick(Sender: TObject);
begin
  Application.Terminate;
end;

end.

